The Joomla! Forum ™



Forum rules


Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.



Post new topic Reply to topic  [ 29 posts ] 
Author Message
PostPosted: Wed Jan 18, 2012 12:04 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Mon Oct 24, 2011 10:52 am
Posts: 6
Plz help me I have to upgrade my joomla 1.0 to 1.5 how to do that it urgent


Top
 Profile  
 
PostPosted: Wed Jan 18, 2012 12:11 pm 
Joomla! Explorer
Joomla! Explorer

Joined: Wed Jul 30, 2008 4:40 am
Posts: 278
Location: SC USA
http://docs.joomla.org/Migrating_from_1 ... 1.5_Stable

_________________
Every Day Above Ground is a Good Day!


Top
 Profile  
 
PostPosted: Wed Jan 18, 2012 12:35 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Mon Oct 24, 2011 10:52 am
Posts: 6
thankx


Top
 Profile  
 
PostPosted: Wed Dec 26, 2012 4:15 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Oct 24, 2007 5:11 pm
Posts: 9
Trying to find the file Migrator 1.5. The link on http://docs.joomla.org/Migrating_from_1 ... 1.5_Stable

takes me to a page that simply says permission denied.

Where can I get this file?


Top
 Profile  
 
PostPosted: Wed Dec 26, 2012 7:07 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Mon Jun 16, 2008 4:28 pm
Posts: 20
I also need a file from this location - I was in the middle of migration with Migrator and went back to JoomlaCode to get the Migrator assistant and found that I was locked out. Are the files still there? The links on the Joomla Help page on this subject have not changed.

For whataslacker - the migrator file is attached.

Anyone have the Migrator assistant to help me out?

Attachment:
migrator.zip


You do not have the required permissions to view the files attached to this post.


Top
 Profile  
 
PostPosted: Thu Dec 27, 2012 3:11 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Oct 24, 2007 5:11 pm
Posts: 9
alose1960 wrote:


This is what I am using however in step 4 where it tells you to use

Quote:
the latest version is Migration Assistant 1.5.2. There may be a later version, so check Pasamio Project's FRS site for any updates.


The files are gone. We are locked out.


Top
 Profile  
 
PostPosted: Thu Dec 27, 2012 3:11 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Oct 24, 2007 5:11 pm
Posts: 9
virusys wrote:
I also need a file from this location - I was in the middle of migration with Migrator and went back to JoomlaCode to get the Migrator assistant and found that I was locked out. Are the files still there? The links on the Joomla Help page on this subject have not changed.

For whataslacker - the migrator file is attached.

Anyone have the Migrator assistant to help me out?

Attachment:
migrator.zip



THANKS! ;)


Top
 Profile  
 
PostPosted: Thu Dec 27, 2012 3:14 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Oct 24, 2007 5:11 pm
Posts: 9
I have found and tried this file since access to the migrator files are denied.

http://extensions.joomla.org/extensions ... I7fQ%3D%3D

It seems to have worked but I am still leery of trying it on my main site.


Top
 Profile  
 
PostPosted: Fri Jan 11, 2013 8:09 am 
User avatar
Joomla! Intern
Joomla! Intern

Joined: Wed May 16, 2007 4:45 am
Posts: 76
Location: Omaha
Could a mod please please request that the FAQs on the Wiki be updated regarding this since joomlacode is no longer supporting the migration component(access denied). I tried to download it several times before finding this thread. Thanks whataslacker for the reference!

_________________
My web design and SEO blog http://www.abcomputered.com or my G+ page https://plus.google.com/+Abcomputeredwebdesign/posts


Top
 Profile  
 
PostPosted: Wed Jan 30, 2013 10:27 am 
Joomla! Fledgling
Joomla! Fledgling

Joined: Wed Jan 30, 2013 10:16 am
Posts: 1
Location: Switzerland
I agree with Rodesh - I'm in the middle of trying to do a 1.0 to 1.5 upgrade and am using http://docs.joomla.org/Migrating_from_1 ... 1.5_Stable to show me how to do it.

The link at step 1 goes to a "Permission Denied" page and should be updated. I searched and searched for the Migrator on Joomla and Google for hours and couldn't find anything until I started digging in the forums. Which is frustrating to say the least.

I even tried to create an account on the WIKI to edit the page myself, but this is not possible. So, whoever has permission to edit the page - please edit it. It will save people hours of wasted time.


Top
 Profile  
 
PostPosted: Wed Feb 06, 2013 7:46 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Thu Feb 01, 2007 10:33 am
Posts: 11
virusys, thanks for the migrator. Like others, I have been searching for the migration assistant. Just hoping someone has a copy of the latest they could post here

>:(

This is so frustrating


Top
 Profile  
 
PostPosted: Mon Feb 11, 2013 3:37 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Apr 25, 2007 8:08 pm
Posts: 9
So, only we have us. Thanks @whataslacker for whe component and @virusys for the migrator.zip, and all .... but now, @whataslacker you finally use the component in your main site without problem.

Regards.


Top
 Profile  
 
PostPosted: Mon Feb 11, 2013 3:58 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Apr 25, 2007 8:08 pm
Posts: 9
Hey guys, what about this file? http://www.general-files.com/download/g ... t.tgz.html if you check the content is the last version from broken link http://joomlacode.org/gf/download/frsre ... istant.tgz


Top
 Profile  
 
PostPosted: Mon Feb 11, 2013 4:15 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Apr 25, 2007 8:08 pm
Posts: 9
Just done a zip with the files described in my last post. This is the assistant for 1.5. Now all is complete, use the migrator.zip above and in your new J1.5 site the migratorassistant.zip.


You do not have the required permissions to view the files attached to this post.


Top
 Profile  
 
PostPosted: Wed Feb 13, 2013 2:35 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Apr 25, 2007 8:08 pm
Posts: 9
Well, the migratorassistant don't work for me, anybody can feedback how to use correctly?

It's me or the component don't migrate nothing from the generated script to the J15 site?


Top
 Profile  
 
PostPosted: Sat Feb 23, 2013 3:23 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Apr 25, 2007 8:08 pm
Posts: 9
For me works only if put the migration script in administrator\components\com_migrationassistant\sql\migration as migrate.sql, then in the component check that the file is already uploaded, and all went ok.


Top
 Profile  
 
PostPosted: Fri Apr 19, 2013 4:50 pm 
Joomla! Fledgling
Joomla! Fledgling

Joined: Fri Apr 19, 2013 4:48 pm
Posts: 1
having this same problem :(


Top
 Profile  
 
PostPosted: Tue May 21, 2013 1:42 pm 
Joomla! Intern
Joomla! Intern

Joined: Mon Apr 07, 2008 8:45 pm
Posts: 57
same problem here...

_________________
Cori Nevruz
SpyderWoman
http://www.spyderwoman.com


Top
 Profile  
 
PostPosted: Fri Jun 07, 2013 9:03 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Wed Apr 25, 2007 8:08 pm
Posts: 9
Works well for me, what doesn't work for both of you?


Top
 Profile  
 
PostPosted: Tue Oct 01, 2013 10:52 pm 
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Mon Aug 22, 2005 4:41 am
Posts: 203
Anyone have the ETL file for Docman migration in Joomla 1.0 to Joomla 1.5?? I am starting to whimper as the volume of Docfiles to migrate is way too much to do manually... sigh.

Help?

I know I am crossposting but these ancient forums threads are not viewed very often so would ratehr get yelled at while trying to reach out for help. tx


Top
 Profile  
 
PostPosted: Fri Oct 04, 2013 2:39 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Sun Jul 28, 2013 8:29 am
Posts: 27
whataslacker wrote:
I have found and tried this file since access to the migrator files are denied.

http://extensions.joomla.org/extensions ... I7fQ%3D%3D

404 - RESOURCE NOT FOUND

You may not be able to visit this page because of:

an out-of-date bookmark/favourite
a search engine that has an out-of-date listing for this site
a mistyped address
you have no access to this page
The requested resource was not found.
An error has occurred while processing your request.
Please try one of the following pages:

Home Page
Search
If difficulties persist, please contact the System Administrator of this site.

Resource not found
:(

_________________
tobaccomalas.org


Top
 Profile  
 
PostPosted: Fri Oct 04, 2013 4:14 am 
Joomla! Enthusiast
Joomla! Enthusiast

Joined: Mon Aug 22, 2005 4:41 am
Posts: 203
thank you for your reply. I ended up finding a different path to the solution. Since it is dealing Joomla 1.0 and no one seems to be messing with this much, will just ask if someone wants the solution, reply here and I will get it and can reply. Otherwise, too old to gin up a detailed reply...

tx again



2mino wrote:
whataslacker wrote:
I have found and tried this file since access to the migrator files are denied.

http://extensions.joomla.org/extensions ... I7fQ%3D%3D

404 - RESOURCE NOT FOUND

You may not be able to visit this page because of:

an out-of-date bookmark/favourite
a search engine that has an out-of-date listing for this site
a mistyped address
you have no access to this page
The requested resource was not found.
An error has occurred while processing your request.
Please try one of the following pages:

Home Page
Search
If difficulties persist, please contact the System Administrator of this site.

Resource not found
:(


Top
 Profile  
 
PostPosted: Sat Oct 05, 2013 7:36 am 
I've been banned!

Joined: Thu Sep 05, 2013 12:46 pm
Posts: 18
Location: iran
you can find it in
http://docs.joomla.org/J1.5:Migrating_f ... 1.5_Stable


Top
 Profile  
 
PostPosted: Sun Nov 24, 2013 4:54 pm 
Joomla! Fledgling
Joomla! Fledgling

Joined: Sun Nov 24, 2013 4:48 pm
Posts: 1
I tried the options presented here with no joy (Joomla 1.08 complained that the install file couldn't be found).

I found an alternative source for the Migrator file (on the DropBox link listed) in this page which worked fine through this issue at least:
http://stackoverflow.com/questions/16323886/joomla-1-0-15-to-1-5-migrator-component

I'll post again here if there are any issues with it as I proceeed with the Migration.


Top
 Profile  
 
PostPosted: Tue Mar 11, 2014 6:38 am 
Joomla! Apprentice
Joomla! Apprentice

Joined: Tue Sep 12, 2006 11:50 am
Posts: 22
duncanray wrote:
I'll post again here if there are any issues with it as I proceeed with the Migration.


Did you have any success? I tried to follow this process a while back but it failed to do anything useful. I’m happy to manually transfer all our content and I could manually create new user accounts, but I don’t want to have to get our users to create new passwords. Transferring the user accounts is the crucial thing for me.

On 1.0.13, hoping to get to 3.2.3. Hey, I can dream!


Top
 Profile  
 
PostPosted: Sat Mar 22, 2014 5:30 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Mon Oct 23, 2006 12:11 am
Posts: 10
seanos wrote:
duncanray wrote:
I'll post again here if there are any issues with it as I proceeed with the Migration.


Did you have any success? I tried to follow this process a while back but it failed to do anything useful. I’m happy to manually transfer all our content and I could manually create new user accounts, but I don’t want to have to get our users to create new passwords. Transferring the user accounts is the crucial thing for me.

On 1.0.13, hoping to get to 3.2.3. Hey, I can dream!

I successfully migrated 1.0.15 to 1.5.26 then 3.2.3. The first stage was only possible thanks to the post by virusys on Wed Dec 26, 2012 7:07 pm above, with the migrator component for 1.0.x to 1.5.x attached.

For the second stage, 1.5.x to 3.2.x I used jUpgradePRO v3.1.2 which is listed in JED as paid but can be downloaded free.

My site also has Community Builder and Docman extensions. If anyone is interested in migrating Docman from Joomla 1.0.x, here is a useful guide http://techgroup.stanwood.wednet.edu/survival-guide/joomlamigrationguide10xtocurrent It tells you how to get from Joomla (with or without Docman) from 1.0.x to 1.5.x then 2.5.x All the necessary files are attached to that page, including the elusive Joomla 1.0.x to 1.5.x migrator component. It should be possible to use the same method to get from 1.5 to 3.2.x if you have Docman for Joomla 3.2.3 (I have migrated Docman to JoomDocs but that's another story)

For a standard migration from Joomla 1.0.x to 3.2.3 (without Docman extension) there is another way of going from 1.0.x straight to Joomla 2.5.x then 3.2.x as described here http://forum.joomla.org/viewtopic.php?t=806492 but I haven't tried that.


Top
 Profile  
 
PostPosted: Thu May 08, 2014 1:35 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Fri Jan 04, 2013 3:05 pm
Posts: 10
Hi,

Back at this point again - I have files (migrationassistant and migrator) from 2010 when I came this way before doing some testing that never got finished.

And now I am trying again - the migrator.zip loads fine but the SQL file it makes is only about 6MB, when a regular mysqldump is closer to 36MB.

What I remember from 2010 is that the "migration.sql" file that the migrator creates contains all the data, not just a sub-set.

So, my question is: what do I actually need the migrationassistant.tgz file for - if it is not for Joomla_1.0.15 - when Joomla 1.5.20(+) has it's own migration code.

In other words, where is it to be unpacked - since it does not have an installer XML file.

Thanks!
Michael


Top
 Profile  
 
PostPosted: Sun May 11, 2014 2:29 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Fri Jan 04, 2013 3:05 pm
Posts: 10
The answer is: YES, the migrate.sql file may be much smaller than a regular mysqldump output (I am guessing all the log information is NOT being migrated).

And the second file: I read more carefully, is for when Joomla 1.5 is already installed - so I do not have the exact location - nor will I ever because I am moving up and up now.

I tried Joomla-1.5.20 and failed several times (that was the version that was prepared on a loaner system). However, when I updated to Joomla-1.5.26 a migration from Joomla 1.0.15 was easy.

re: utf-8 - I did that ahead of running the migrate process. Mysqldump, edit the latin1 to utf-8; pipe that file through iconv -f latin1 -t utf-8; and then restore that database.

Afterwards test your "success" by doing a mysqldump again and make sure you see something like:
Code:
/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

in your first 10 lines of the mysqldump output - the last line (here) in particular!


Top
 Profile  
 
PostPosted: Sat May 31, 2014 12:29 pm 
Joomla! Apprentice
Joomla! Apprentice

Joined: Tue Jun 27, 2006 10:30 pm
Posts: 9
Location: Poland
I was able to to 1.0 -> 1.5 -> 2.0 upgrade using tutorials mentioned above..

_________________
Please read the Forum rules regarding signatures: viewtopic.php?t=65


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 29 posts ] 



Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
Powered by phpBB® Forum Software © phpBB Group